Amazon Linux AMI : krb5 (ALAS-2012-114)

high Nessus Plugin ID 69604

Synopsis

The remote Amazon Linux AMI host is missing a security update.

Description

An uninitialized pointer use flaw was found in the way the MIT Kerberos KDC handled initial authentication requests (AS-REQ). A remote, unauthenticated attacker could use this flaw to crash the KDC via a specially crafted AS-REQ request. (CVE-2012-1015)

A NULL pointer dereference flaw was found in the MIT Kerberos administration daemon, kadmind. A Kerberos administrator who has the 'create' privilege could use this flaw to crash kadmind.
(CVE-2012-1013)

Solution

Run 'yum update krb5' to update your system.

See Also

https://alas.aws.amazon.com/ALAS-2012-114.html

Plugin Details

Severity: High

ID: 69604

File Name: ala_ALAS-2012-114.nasl

Version: 1.6

Type: local

Agent: unix

Published: 9/4/2013

Updated: 4/18/2018

Supported Sensors: Frictionless Assessment Agent, Frictionless Assessment AWS, Nessus Agent

Risk Information

VPR

Risk Factor: Medium

Score: 5.9

CVSS v2

Risk Factor: High

Base Score: 9.3

Vector: AV:N/AC:M/Au:N/C:C/I:C/A:C

Vulnerability Information

CPE: p-cpe:/a:amazon:linux:krb5-debuginfo, p-cpe:/a:amazon:linux:krb5-devel, p-cpe:/a:amazon:linux:krb5-libs, p-cpe:/a:amazon:linux:krb5-pkinit-openssl, p-cpe:/a:amazon:linux:krb5-server, p-cpe:/a:amazon:linux:krb5-server-ldap, p-cpe:/a:amazon:linux:krb5-workstation, cpe:/o:amazon:linux

Required KB Items: Host/local_checks_enabled, Host/AmazonLinux/release, Host/AmazonLinux/rpm-list

Patch Publication Date: 8/3/2012

Reference Information

CVE: CVE-2012-1013, CVE-2012-1015

ALAS: 2012-114

RHSA: 2012:1131